﻿## History of changes for WinPython 2.7.9.5



The following changes were made to WinPython distribution since version 2.7.9.4.



### Python packages



New packages:



  * [Babel](http://pypi.python.org/pypi/Babel) 1.3 (Internationalization utilities)

  * [Flask](http://pypi.python.org/pypi/Flask) 0.10.1 (A microframework based on Werkzeug, Jinja2 and good intentions)

  * [Theano](http://pypi.python.org/pypi/Theano) 0.7.0 (Optimizing compiler for evaluating mathematical expressions on CPUs and GPUs.)

  * [Werkzeug](http://pypi.python.org/pypi/Werkzeug) 0.10.4 (The Swiss Army knife of Python web development)

  * [adodbapi](http://pypi.python.org/pypi/adodbapi) 2.6.0.7 (A pure Python package implementing PEP 249 DB-API using Microsoft ADO.)

  * [alabaster](http://pypi.python.org/pypi/alabaster) 0.7.3 (A configurable sidebar-enabled Sphinx theme)

  * [click](http://pypi.python.org/pypi/click) 4.0 (A simple wrapper around optparse for powerful command line utilities.)

  * [docopt](http://pypi.python.org/pypi/docopt) 0.6.2 (Pythonic argument parser, that will make you smile)

  * [itsdangerous](http://pypi.python.org/pypi/itsdangerous) 0.24 (Various helpers to pass trusted data to untrusted environments and back.)

  * [jedi](http://pypi.python.org/pypi/jedi) 0.8.1 (An autocompletion tool for Python that can be used for text editors)

  * [pkginfo](http://pypi.python.org/pypi/pkginfo) 1.2.1 (Query metadatdata from sdists / bdists / installed packages.)

  * [pymongo](http://pypi.python.org/pypi/pymongo) 3.0.1 (Python driver for MongoDB <http://www.mongodb.org>)

  * [pyqtgraph](http://pypi.python.org/pypi/pyqtgraph) 0.9.10 (Scientific Graphics and GUI Library for Python)

  * [redis](http://pypi.python.org/pypi/redis) 2.10.3 (Python client for Redis key-value store)

  * [snowballstemmer](http://pypi.python.org/pypi/snowballstemmer) 1.2.0 (This package provides 16 stemmer algorithms (15 + Poerter English stemmer) generated from Snowball algorithms.)

  * [sphinx_rtd_theme](http://pypi.python.org/pypi/sphinx_rtd_theme) 0.1.8 (ReadTheDocs.org theme for Sphinx, 2013 version.)

  * [twine](http://pypi.python.org/pypi/twine) 1.5.0 (Collection of utilities for interacting with PyPI)



Upgraded packages:



  * [Pillow](http://pypi.python.org/pypi/Pillow) 2.7.0 → 2.8.1 (Python Imaging Library (fork))

  * [PuLP](http://pypi.python.org/pypi/PuLP) 1.5.6 → 1.5.9 (PuLP is an LP modeler written in python. PuLP can generate MPS or LP files and call GLPK, COIN CLP/CBC, CPLEX, and GUROBI to solve linear problems)

  * [SQLAlchemy](http://www.sqlalchemy.org) 0.9.9 → 1.0.4 (SQL Toolkit and Object Relational Mapper)

  * [XlsxWriter](http://pypi.python.org/pypi/XlsxWriter) 0.7.1 → 0.7.2 (A Python module for creating Excel XLSX files.)

  * [certifi](http://pypi.python.org/pypi/certifi) 14.5.14 → 2015.4.28 (Python package for providing Mozilla's CA Bundle.)

  * [h5py](http://code.google.com/p/h5py/) 2.4.0 → 2.5.0 (General-purpose Python interface to HDF5 files (unlike PyTables, h5py provides direct access to the full HDF5 C library))

  * [husl](http://pypi.python.org/pypi/husl) 4.0.1 → 4.0.2 (Human-friendly HSL (Hue-Saturation-Lightness))

  * [ipython](http://ipython.org) 3.0.0 → 3.1.0 (Enhanced Python shell)

  * [llvmlite](http://pypi.python.org/pypi/llvmlite) 0.2.2 → 0.4.0 (lightweight wrapper around basic LLVM functionality)

  * [lxml](http://pypi.python.org/pypi/lxml) 3.4.2 → 3.4.4 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [nose](http://somethingaboutorange.com/mrl/projects/nose) 1.3.4 → 1.3.6 (nose is a discovery-based unittest extension (e.g. NumPy test module is using nose))

  * [numba](http://pypi.python.org/pypi/numba) 0.17.0 → 0.18.2 (compiling Python code using LLVM)

  * [numexpr](http://code.google.com/p/numexpr) 2.4 → 2.4.3 (Fast evaluation of array expressions elementwise by using a vector-based virtual machine)

  * [pandas](http://pypi.python.org/pypi/pandas) 0.16.0 → 0.16.1 (Powerful data structures for data analysis, time series and statistics)

  * [pg8000](http://pypi.python.org/pypi/pg8000) 1.10.1 → 1.10.2 (PostgreSQL interface library)

  * [pip](http://pypi.python.org/pypi/pip) 6.0.8 → 6.1.1 (A tool for installing and managing Python packages)

  * [pycparser](http://pypi.python.org/pypi/pycparser) 2.10 → 2.12 (C parser in Python)

  * [pyodbc](http://pypi.python.org/pypi/pyodbc) 3.0.7 → 3.0.9 (DB API Module for ODBC)

  * [python_dateutil](http://labix.org/python-dateutil) 2.4.0 → 2.4.2 (Powerful extensions to the standard datetime module)

  * [pyzmq](http://pypi.python.org/pypi/pyzmq) 14.5.0 → 14.6.0 (Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console))

  * [requests](http://pypi.python.org/pypi/requests) 2.6.0 → 2.7.0 (Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.)

  * [scikit_image](http://pypi.python.org/pypi/scikit_image) 0.11.2 → 0.11.3 (Image processing toolbox for SciPy)

  * [scikit_learn](http://pypi.python.org/pypi/scikit_learn) 0.16.0 → 0.16.1 (A set of Python modules for machine learning and data mining)

  * [setuptools](http://pypi.python.org/pypi/setuptools) 14.3.1 → 15.2 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [sqlite_bro](https://github.com/stonebig/sqlite_bro) 0.8.7.4 → 0.8.8 (a graphic SQLite Client in 1 Python file)

  * [sqlparse](http://pypi.python.org/pypi/sqlparse) 0.1.14 → 0.1.15 (Non-validating SQL parser)

  * [tables](http://www.pytables.org) 3.1.1 → 3.2.0 (Package based on HDF5 library for managing hierarchical datasets (extremely large amounts of data))



* * *

